package org.lightguard.problem;

import java.io.Serializable;

import javax.faces.application.FacesMessage;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.faces.context.FacesContext;

import org.primefaces.event.FileUploadEvent;

@ManagedBean
@ViewScoped
public class FileUploadListener implements Serializable
{
   public void onFileUpload(FileUploadEvent event)
   {
      System.out.println("Uploaded: " + event.getFile());
      FacesMessage msg = new FacesMessage(String.format("File '%s' uploaded", event.getFile().getFileName()));
      FacesContext.getCurrentInstance().addMessage(null, msg);
   }
}
